// JScript 文件

function CheckAll(form)  {
  for (var i=0;i<form.elements.length;i++)    {
    var e = form.elements[i];
    if (e.name != 'chkall')       e.checked = form.chkall.checked; 
   }
  }
function isdel()
{
var ok=confirm("确定删除吗?删除后数据不能恢复!请小心删除!")
if(!ok)return false
else return true;
}
function isExc()
{
var ok=confirm("确定执行操作吗?!")
if(!ok)return false
else return true;

}

function SelectAll(form)
     {
         for (var i=0;i<form.elements.length;i++)
        {
             var e = form.elements[i];
             if (e.name == 'id')
             e.checked = form.ChkAll.checked;
             if (e.name == 'Tree_id')
             e.checked = form.ChkAll.checked;
        }
	}
	
function chkselect()
	{
	    if(confirm("确定执行操作吗？"))
	    {	
	        var chked;
	        chked=false;
            for(var i=0;i<form1.elements.length;i++)
            {
               var e = form1.elements[i];
               if (e.name=='id'&&e.checked==true)
                {
                   chked=true;
	               break;
	            }
            }
	        if(chked==false)
	        {
	            alert("请选择要操作的信息！");
	            return false;	
	        }
	        return true;
	    }
	    else
	    {
	        return false;
	    }
}